<script lang="ts">
	import { createEventDispatcher } from 'svelte';
	import type { CategoryInput, ProductFB, ProductInput } from '../type';
	import { slide } from 'svelte/transition';
	import Input from '../../../../../components/Input.svelte';
	import Button from '../../../../../components/Button.svelte';
	import FileInput from '../../../../../components/FileInput.svelte';

	export let categoryId: string;
	export let show: boolean = false;

	export let newProduct: ProductInput = {
		name: '',
		categoryId: '',
		image: new File([], '')
	};

	$: if (categoryId) {
		newProduct.categoryId = categoryId;
	}

	const dispatch = createEventDispatcher();
</script>

{#if show}
	<div class="flex flex-col">
		<span class="text-lg font-semibold"> Ajouter un produit </span>

		<div
			class="flex flex-row items-end gap-4 px-4 border-primary-800 shadow-xl bg-noir-600 rounded-xl"
			transition:slide
		>
			<Input label="Nom" bind:value={newProduct.name} />
			<FileInput label="Image" bind:value={newProduct.image} />
			<!-- <Input label="Description" bind:value={newProduct.description} /> -->
			<Button
				on:click={(e) => {
					if (newProduct.name !== '') dispatch('add', { newProduct });
					newProduct = {
						name: '',
						categoryId: '',
						image: new File([], '')
					};
				}}
			>
				Ajouter
			</Button>
			<Button
				type="secondary"
				on:click={() => {
					show = false;
				}}
			>
				Fermer
			</Button>
		</div>
	</div>
{/if}
